Subject: [Capwap] Changes to firmware download process

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Thu, 25 Jan 2007 06:02:51 -0800

As discussed during the offsite, we have agreed on the following
changes:
- The WTP must be able to not only communicate its currently active
firmware 
version, but also other versions it may have in its non-volatile memory.
- The Image Filename message element is no longer valid. Instead, a new 
message element, called Image Identifier, is required. This new message 
element is included in the Join Request by the AC to indicate what
firmware 
the WTP should be running.
- The Reset Request MUST also include the new Image Identifier, telling
the 
WTP what firmware to run. This is mostly required because it is now
possible 
to download the firmware while in the Run state, so this allows the AC
to 
reset the WTP once the firmware has been downloaded and tell it what
version 
it should run after the reset.
- If the WTP already has the requested image in its firmware (but not 
currently running), then it does not need to download any firmware. It
can 
simply reset to run the new image.

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap

---

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Thu, 25 Jan 2007 06:03:39 -0800

I should have noted that issue 237 was created to track is one.

Pat Calhoun

> -----Original Message-----
> From: Pat Calhoun (pacalhou) 
> Sent: Thursday, January 25, 2007 6:03 AM
> To: [email-masked]
> Subject: Changes to firmware download process
> 
> As discussed during the offsite, we have agreed on the 
> following changes:
> - The WTP must be able to not only communicate its currently 
> active firmware version, but also other versions it may have 
> in its non-volatile memory.
> - The Image Filename message element is no longer valid. 
> Instead, a new message element, called Image Identifier, is 
> required. This new message element is included in the Join 
> Request by the AC to indicate what firmware the WTP should be running.
> - The Reset Request MUST also include the new Image 
> Identifier, telling the WTP what firmware to run. This is 
> mostly required because it is now possible to download the 
> firmware while in the Run state, so this allows the AC to 
> reset the WTP once the firmware has been downloaded and tell 
> it what version it should run after the reset.
> - If the WTP already has the requested image in its firmware 
> (but not currently running), then it does not need to 
> download any firmware. It can simply reset to run the new image.
>  
> 
> Pat Calhoun